Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog
Interface TermModelListener

public interface TermModelListener

If you're interested in knowing that a (Java) term representation has changed implement this. Prior to listening, a TermModel must have its root set with setRoot(). All changes to TermModel node and children variables will be reported

Method Summary
`void` | `termChanged(TermModel source)`

Method Detail

### termChanged

    public void termChanged(TermModel source)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD